RUN-PARTS(8)

NOM
run-parts – Exécuter les scripts ou les exécutables d'un répertoire

SYNOPSIS
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

DESCRIPTION
run-parts exécute tous les fichiers exécutables situés dans répertoire, et dont le nom satisfait les contraintes décrites ci-dessous. Les autres fichiers sont ignorés. Si ni l'option --lsbsysinit ni l'option --regex ne sont utilisées, les noms ne doivent comporter que des lettres ASCII (minuscules ou capitales), des chiffres ASCII, des tirets de soulignement (« underscore ») ASCII ou des tirets (signes moins) ASCII. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Si l'option --regex est utilisée, les noms doivent correspondre à l'expression rationnelle spécifiée en tant qu'argument à cette option. Les fichiers sont exécutés séquentiellement dans l'ordre lexicographique de leur nom (d'après les règles de classement de caractères des paramètres linguistiques régionaux (« locale ») C/POSIX) à moins que l'option --reverse ne soit utilisée, auquel cas ils sont exécutés dans l'ordre inverse. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

OPTIONS

--test
    affiche le nom des scripts qui seront exécutés, mais ne les exécute pas.

--list
    affiche le nom de tous les fichiers dont le nom satisfait les contraintes (pas uniquement les exécutables), mais ne les exécute pas. Cette option ne peut pas être utilisée en conjonction avec l'option --test.

-v, --verbose
    affiche le nom de chaque script sur la sortie d'erreur avant de l'exécuter.

--report
    similaire à --verbose, mais n'affiche que le nom des scripts qui produisent une sortie. Le nom du script est affiché sur la sortie utilisée en premier : soit la sortie standard, soit la sortie d'erreur.

-d, --debug
    affiche sur la sortie d'erreur le nom des scripts sélectionnés pour exécution et ceux qui ne le sont pas.

--reverse
    inverse l'ordre d'exécution des scripts.

--exit-on-error
    permet de quitter dès qu'un script retourne une valeur non nulle.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    utilise les noms LSB plutôt que le comportement traditionnel.

--new-session
    exécute chaque script dans un processus séparé. Si cette option est utilisée, tuer run-parts ne tuera pas le script en cours d'exécution : il s'exécutera jusqu'au bout.

--regex=RE
    valide les noms de fichier en fonction de l'expression rationnelle RE. Voir la section EXEMPLES.

-u, --umask=umask
    positionne le masque de création de fichier (« umask ») à umask avant de lancer les scripts. umask doit être spécifié en octal. Par défaut, le masque utilisé est 022.

-a, --arg=argument
    passe argument aux scripts. Utilisez --arg pour chacun des arguments que vous voulez passer.

--  spécifie la fin des options. Tout nom de fichier situé après -- ne sera pas interprété comme une option, même s'il commence par un tiret.

-h, --help
    affiche un message d'aide puis quitte.

-V, --version
    affiche la version et le copyright, puis quitte.

EXEMPLES
Afficher les noms de tous les fichiers dans /etc commençant par « p » et se terminant par « d » :

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT
Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.